> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Exercise Request

> Deletes one of the caller's own exercise requests after an ownership guard read.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/delete-exercise-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/delete-exercise-request:
    post:
      operationId: deleteExerciseRequest
      summary: Delete Exercise Request
      description: >-
        Deletes one of the caller's own exercise requests after an ownership
        guard read.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteExerciseRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteExerciseRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteExerciseRequestRequest:
      type: object
      properties:
        exerciseRequestID:
          type: string
          format: uuid
      required:
        - exerciseRequestID
    DeleteExerciseRequestResponse:
      type: object
      properties:
        exerciseRequestID:
          type: string
        roleInOrgID:
          type: string
        grantID:
          type: string
        status:
          type: string
          enum:
            - PENDING_AGREEMENT
            - PENDING_TOKU_ACCEPTANCE
            - PENDING_TAX_APPROVAL
            - PENDING_SETTLEMENT
            - SETTLED
            - EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM
            - REJECTED
        units:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        settlementMethod:
          type: string
          enum:
            - TOKEN
            - CASH
        documentID:
          type:
            - string
            - 'null'
        addedByRoleInOrgID:
          type:
            - string
            - 'null'
        rejectedAt:
          type:
            - string
            - 'null'
        rejectedReason:
          type:
            - string
            - 'null'
        rejectedByRoleInOrgID:
          type:
            - string
            - 'null'
        approvedByRoleInOrgID:
          type:
            - string
            - 'null'
        approvedAt:
          type:
            - string
            - 'null'
        taxReferenceID:
          type:
            - string
            - 'null'
        settlementID:
          type:
            - string
            - 'null'
        lockedUntil:
          type:
            - string
            - 'null'
        lockupEndNotifiedAt:
          type:
            - string
            - 'null'
        paymentReceivedAt:
          type:
            - string
            - 'null'
        paymentAmount:
          type:
            - string
            - 'null'
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        paymentCurrencyCode:
          type:
            - string
            - 'null'
        paymentReference:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        deletedAt:
          type:
            - string
            - 'null'
      required:
        - exerciseRequestID
        - roleInOrgID
        - grantID
        - status
        - units
        - settlementMethod
        - documentID
        - addedByRoleInOrgID
        - rejectedAt
        - rejectedReason
        - rejectedByRoleInOrgID
        - approvedByRoleInOrgID
        - approvedAt
        - taxReferenceID
        - settlementID
        - lockedUntil
        - lockupEndNotifiedAt
        - paymentReceivedAt
        - paymentAmount
        - paymentCurrencyCode
        - paymentReference
        - createdAt
        - updatedAt
        - deletedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
